## audacious-plugins 4.0.5

=== meson_options.txt ===
option('dbus', type: 'boolean', value: true,
       description: 'Whether DBus support is enabled')
option('qt', type: 'boolean', value: true,
       description: 'Whether Qt support is enabled')
option('mpris2', type: 'boolean', value: true,
       description: 'Whether MPRIS 2.0 support is enabled')


# container plugins
option('cue', type: 'boolean', value: true,
       description: 'Whether libcue support is enabled')


# transport plugins
option('neon', type: 'boolean', value: true,
       description: 'Whether the neon HTTP client is enabled')
option('mms', type: 'boolean', value: true,
       description: 'Whether the libmms MMS client is enabled')


# input plugins
option('ffaudio', type: 'string', value: 'ffmpeg',
       description: 'Choose between ffmpeg, libav or neither')
option('mpg123', type: 'boolean', value: true,
       description: 'Whether MPG123 support is enabled')
option('adplug', type: 'boolean', value: true,
       description: 'Whether AdPlug support is enabled')
option('flac', type: 'boolean', value: true,
       description: 'Whether FLAC support is enabled')
option('vorbis', type: 'boolean', value: true,
       description: 'Whether Ogg Vorbis support is enabled')
option('faad', type: 'boolean', value: true,
       description: 'Whether the FAAD-based raw AAC plugin is enabled')
option('modplug', type: 'boolean', value: true,
       description: 'Whether ModPlug support is enabled')
option('openmpt', type: 'boolean', value: true,
       description: 'Whether OpenMPT support is enabled')
option('wavpack', type: 'boolean', value: true,
       description: 'Whether WavPack support is enabled')
option('sndfile', type: 'boolean', value: true,
       description: 'Whether libsndfile support is enabled')
option('cdaudio', type: 'boolean', value: true,
       description: 'Whether CD audio support is enabled')
option('amidiplug', type: 'boolean', value: true,
       description: 'Whether AMidiPlug plugin is enabled')
option('sid', type: 'boolean', value: true,
       description: 'Whether SID emulation support is enabled')


# output plugins
option('alsa', type: 'boolean', value: true,
       description: 'Whether ALSA support is enabled')
option('pulse', type: 'boolean', value: true,
       description: 'Whether PulseAudio support is enabled')
option('filewriter', type: 'boolean', value: true,
       description: 'Whether FileWriter (transcoding) support is enabled')
option('filewriter-mp3', type: 'boolean', value: true,
       description: 'Whether FileWriter (transcoding) MP3 support is enabled')
option('filewriter-ogg', type: 'boolean', value: true,
       description: 'Whether FileWriter (transcoding) OGG support is enabled')
option('filewriter-flac', type: 'boolean', value: true,
       description: 'Whether FileWriter (transcoding) FLAC support is enabled')

# general plugins
option('songchange', type: 'boolean', value: true,
       description: 'Whether the Song Change plugin is enabled')
option('scrobbler2', type: 'boolean', value: true,
       description: 'Whether the Scrobbler plugin is enabled')
option('notify', type: 'boolean', value: true,
       description: 'Whether the libnotify OSD plugin is enabled')


# effect plugins
option('resample', type: 'boolean', value: true,
       description: 'Whether the resample effect plugin is enabled')
option('speedpitch', type: 'boolean', value: true,
       description: 'Whether the speed / pitch effect plugin is enabled')


# visualization plugins
option('vumeter', type: 'boolean', value: true,
       description: 'Whether the VUMeter visualization plugin is enabled')

=== po/Makefile ===
# Short KISS instructions:
#
# - To add new languages: Add *.po target to LOCALES Make variable below
# - Update and merge .po-files: make update-po
# - Only update the template .pot-file only: make update-pot
# - Run update-potfiles.sh when any new sourcefiles with translatable strings
#   have been introduced, and then continue with 'make update-po' or
#   'make update-pot' respectively.
#
LOCALES = ar.po \
	  be.po \
	  bg.po \
	  ca.po \
	  cmn.po \
	  cs.po \
	  da.po \
	  de.po \
	  el.po \
	  en_GB.po \
	  es_AR.po \
	  es_MX.po \
	  es.po \
	  et.po \
	  fi.po \
	  fr.po \
	  gl.po \
	  hu.po \
	  id_ID.po \
	  it.po \
	  ja.po \
	  ko.po \
	  lt.po \
	  lv.po \
	  ml_IN.po \
	  ms.po \
	  nl.po \
	  pl.po \
	  pt_BR.po \
	  pt_PT.po \
	  ru.po \
	  si.po \
	  sk.po \
	  sr.po \
	  sr_RS.po \
	  sv.po \
	  ta.po \
	  tr.po \
	  uk.po \
	  zh_CN.po \
	  zh_TW.po

include ../extra.mk
include ../buildsys.mk

POTTEMPLATE=$(PACKAGE_NAME).pot

update-pot:
	@echo Updating $(POTTEMPLATE) ...
	xgettext --default-domain=$(PACKAGE_NAME) --language=C \
	--keyword=_ --keyword=N_ --from-code="utf-8" \
	--msgid-bugs-address="https://redmine.audacious-media-player.org/" \
	--directory=.. --files-from=POTFILES.in -o $(POTTEMPLATE)

update-po: update-pot
	@echo Updating .po -files ...
	@for lang in $(LOCALES); do echo -n "$$lang : "; msgmerge --backup=simple --update "$$lang" $(POTTEMPLATE); done

=== src/amidiplug/Makefile ===
PLUGIN = amidi-plug${PLUGIN_SUFFIX}

SRCS = amidi-plug.cc		\
       backend-fluidsynth/b-fluidsynth.cc \
       i_midi.cc			\
       i_configure.cc		\
       i_configure-fluidsynth.cc	\
       i_fileinfo.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${FLUIDSYNTH_CFLAGS} ${GLIB_CFLAGS} -I../..
LIBS += ${FLUIDSYNTH_LIBS} ${GLIB_LIBS} -lm

ifeq ($(USE_GTK),yes)
CPPFLAGS += ${GTK_CFLAGS}
LIBS += ${GTK_LIBS}
endif

ifeq ($(USE_QT),yes)
CPPFLAGS += ${QT_CFLAGS}
LIBS += ${QT_LIBS} -laudqt
endif

=== src/qtglspectrum/Makefile ===
PLUGIN = gl-spectrum-qt${PLUGIN_SUFFIX}

SRCS = gl-spectrum.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${VISUALIZATION_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../.. ${QTOPENGL_CFLAGS} ${GL_CFLAGS}
LIBS += -lm ${QTOPENGL_LIBS} ${GL_LIBS}

=== src/streamtuner/Makefile ===
PLUGIN = streamtuner${PLUGIN_SUFFIX}

SRCS = \
	streamtuner.cc \
	shoutcast-widget.cc \
	shoutcast-model.cc \
	icecast-widget.cc \
	icecast-model.cc \
        ihr-widget.cc \
        ihr-model.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${QT_CFLAGS} ${QTNETWORK_CFLAGS} -I../..
LIBS += ${QT_LIBS} ${QTNETWORK_LIBS} -laudqt

=== debian/changelog ===
audacious-plugins (4.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Fix the dependency on audacious-plugins-data to unbreak binNMUs.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 06 Jan 2021 16:09:51 +0100

=== debian/control ===
Source: audacious-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
 Alf Gaida <agaida@siduction.org>,
 Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends:
 audacious-dev (>= 4.0.2~),
 debhelper-compat (= 12),
 libasound2-dev (>= 1.0) [linux-any],
 libavcodec-dev (>= 4:0.6.1),
 libavformat-dev (>= 4:0.6.1),
 libavutil-dev (>= 4:0.6.1),
 libbinio-dev (>= 1.4),
 libbs2b-dev,
 libcairo2-dev (>= 1.2.4),
 libcddb2-dev (>= 1.2.1),
 libcdio-cdda-dev (>= 0.70),
 libcue-dev,
 libcurl4-gnutls-dev,
 libdbus-glib-1-dev,
 libfaad-dev,
 libflac-dev (>= 1.2.1),
 libfluidsynth-dev (>= 1.0.6) [linux-any],
 libgtk2.0-dev,
 libjack-dev,
 liblircclient-dev,
 libmms-dev (>= 0.3),
 libmodplug-dev,
 libmp3lame-dev,
 libmpg123-dev,
 libneon27-gnutls-dev (>= 0.26),
 libnotify-dev,
 libogg-dev (>= 1.0),
 libopenmpt-dev (>= 0.2),
 libpulse-dev (>= 0.9) [linux-any],
 libqt5opengl5-dev,
 libsamplerate0-dev (>= 0.0.15),
 libsdl2-dev,
 libsidplayfp-dev,
 libsndfile1-dev (>= 0.19),
 libsndio-dev,
 libsoxr-dev,
 libtagc0-dev (>= 1.4),
 libvorbis-dev (>= 1.1),
 libwavpack-dev (>= 4.31),
 libxcomposite-dev,
 libxml2-dev,
 oss4-dev [!linux-any],
 qtbase5-dev,
 qtmultimedia5-dev,
Standards-Version: 4.5.0
Homepage: https://www.audacious-media-player.org/
Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious-plugins
Vcs-Git: https://salsa.debian.org/multimedia-team/audacious-plugins.git

Package: audacious-plugins
Architecture: any
Multi-Arch: same
Depends:
 audacious-plugins-data (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 audacious (>= 3.10.1)
Breaks:
 audacious (<< 3.10.1)
Description: Base plugins for audacious
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains the plugins for Audacious.
  * Audio CD reading
  * MPEG support (mp3)
  * Ogg Vorbis support
  * Windows Media support (WMA)
  * AAC support
  * FLAC support
  * ALAC support
  * WAVE support
  * ALSA output
  * OSS output
  * Disk writer output
  * And many more!

Package: audacious-plugins-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Data files for Audacious plugins
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 This package contains internationalized messages and skins for
 Audacious plugins.

=== debian/rules ===
#!/usr/bin/make -f

BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq ($(BUILD_ARCH),i386)
additional_confflags := --disable-sse2
endif

ifeq ($(BUILD_ARCH),armel)
additional_confflags := --disable-qtglspectrum
endif

ifeq ($(BUILD_ARCH),armhf)
additional_confflags := --disable-qtglspectrum
endif

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,-fortify

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(additional_confflags) \
		--disable-rpath --enable-gtk

override_dh_auto_clean:
	dh_auto_clean || true


override_dh_missing:
	dh_missing --fail-missing

## audacious-plugins 4.1

=== meson_options.txt ===
# GUI toolkits
option('gtk', type: 'boolean', value: true,
       description: 'Whether GTK support is enabled')
option('qt', type: 'boolean', value: true,
       description: 'Whether Qt support is enabled')


# container plugins
option('cue', type: 'boolean', value: true,
       description: 'Whether libcue support is enabled')


# transport plugins
option('mms', type: 'boolean', value: true,
       description: 'Whether the libmms MMS client is enabled')
option('neon', type: 'boolean', value: true,
       description: 'Whether the neon HTTP client is enabled')


# input plugins
option('aac', type: 'boolean', value: true,
       description: 'Whether the FAAD-based raw AAC plugin is enabled')
option('adplug', type: 'boolean', value: true,
       description: 'Whether AdPlug support is enabled')
option('amidiplug', type: 'boolean', value: true,
       description: 'Whether AMidiPlug plugin is enabled')
option('cdaudio', type: 'boolean', value: true,
       description: 'Whether CD audio support is enabled')
option('console', type: 'boolean', value: true,
       description: 'Whether Game Music Emu support is enabled')
option('ffaudio', type: 'combo', choices: ['ffmpeg', 'libav', 'disabled'],
       description: 'Choose between ffmpeg, libav or disabled')
option('flac', type: 'boolean', value: true,
       description: 'Whether FLAC support is enabled')
option('modplug', type: 'boolean', value: true,
       description: 'Whether ModPlug support is enabled')
option('mpg123', type: 'boolean', value: true,
       description: 'Whether MPG123 support is enabled')
option('openmpt', type: 'boolean', value: true,
       description: 'Whether OpenMPT support is enabled')
option('sid', type: 'boolean', value: true,
       description: 'Whether SID emulation support is enabled')
option('sndfile', type: 'boolean', value: true,
       description: 'Whether libsndfile support is enabled')
option('vorbis', type: 'boolean', value: true,
       description: 'Whether Ogg Vorbis support is enabled')
option('wavpack', type: 'boolean', value: true,
       description: 'Whether WavPack support is enabled')


# output plugins
option('alsa', type: 'boolean', value: true,
       description: 'Whether ALSA support is enabled')
option('coreaudio', type: 'boolean', value: true,
       description: 'Whether CoreAudio support is enabled')
option('filewriter', type: 'boolean', value: true,
       description: 'Whether FileWriter (transcoding) support is enabled')
option('filewriter-flac', type: 'boolean', value: true,
       description: 'Whether FileWriter (transcoding) FLAC support is enabled')
option('filewriter-mp3', type: 'boolean', value: true,
       description: 'Whether FileWriter (transcoding) MP3 support is enabled')
option('filewriter-ogg', type: 'boolean', value: true,
       description: 'Whether FileWriter (transcoding) OGG support is enabled')
option('jack', type: 'boolean', value: true,
       description: 'Whether JACK support is enabled')
option('oss', type: 'boolean', value: true,
       description: 'Whether OSS support is enabled')
option('pulse', type: 'boolean', value: true,
       description: 'Whether PulseAudio support is enabled')
option('qtaudio', type: 'boolean', value: true,
       description: 'Whether QtMultimedia support is enabled')
option('sdlout', type: 'boolean', value: true,
       description: 'Whether SDL support is enabled')
option('sndio', type: 'boolean', value: true,
       description: 'Whether sndio support is enabled')


# general plugins
option('ampache', type: 'boolean', value: true,
       description: 'Whether the Ampache browser plugin is enabled')
option('aosd', type: 'boolean', value: true,
       description: 'Whether the OSD plugin (X11) is enabled')
option('hotkey', type: 'boolean', value: true,
       description: 'Whether the global hotkey plugin (X11) is enabled')
option('lirc', type: 'boolean', value: true,
       description: 'Whether the LIRC plugin is enabled')
option('mac-media-keys', type: 'boolean', value: false,
       description: 'Whether the Mac Media Keys plugin is enabled')
option('mpris2', type: 'boolean', value: true,
       description: 'Whether MPRIS 2.0 support is enabled')
option('notify', type: 'boolean', value: true,
       description: 'Whether the libnotify OSD plugin is enabled')
option('scrobbler2', type: 'boolean', value: true,
       description: 'Whether the Last.fm Scrobbler plugin is enabled')
option('songchange', type: 'boolean', value: true,
       description: 'Whether the Song Change plugin is enabled')
option('streamtuner', type: 'boolean', value: false,
       description: 'Whether the Stream Tuner plugin is enabled')


# effect plugins
option('bs2b', type: 'boolean', value: true,
       description: 'Whether the BS2B effect plugin is enabled')
option('resample', type: 'boolean', value: true,
       description: 'Whether the resample effect plugin is enabled')
option('soxr', type: 'boolean', value: true,
       description: 'Whether the SoX resampler effect plugin is enabled')
option('speedpitch', type: 'boolean', value: true,
       description: 'Whether the speed / pitch effect plugin is enabled')


# visualization plugins
option('gl-spectrum', type: 'boolean', value: true,
       description: 'Whether the OpenGL spectrum visualization plugin is enabled')
option('vumeter', type: 'boolean', value: true,
       description: 'Whether the VUMeter visualization plugin is enabled')


# interface plugins
option('moonstone', type: 'boolean', value: false,
       description: 'Whether the Moonstone UI plugin is enabled')

=== po/Makefile ===
--- 
+++ 
@@ -40,6 +40,8 @@
 	  ru.po \
 	  si.po \
 	  sk.po \
+	  sl.po \
+	  sq.po \
 	  sr.po \
 	  sr_RS.po \
 	  sv.po \

=== src/adplug/Makefile ===
PLUGIN = adplug${PLUGIN_SUFFIX}

SRCS = adplug-xmms.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CXXFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${QT_CFLAGS} ${ADLIB_CFLAGS} -I../..
LIBS += ${QT_LIBS} ${GTK_LIBS} ${ADLIB_LIBS}

=== src/coreaudio/Makefile ===
PLUGIN = coreaudio${PLUGIN_SUFFIX}

SRCS = coreaudio.cc audiodevice.mm

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

LD = ${CXX}
CPPFLAGS += -I../..
CXXFLAGS += ${PLUGIN_CFLAGS}
LIBS += -lm -framework CoreAudio

=== src/qtaudio/Makefile ===
PLUGIN = qtaudio${PLUGIN_SUFFIX}

SRCS = qtaudio.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

LD = ${CXX}
CPPFLAGS += -I../.. ${QTMULTIMEDIA_CFLAGS}
CXXFLAGS += ${GLIB_CFLAGS} ${PLUGIN_CFLAGS}
LIBS += -lm ${GLIB_LIBS} ${QTMULTIMEDIA_LIBS}

=== src/skins-qt/Makefile ===
PLUGIN = skins-qt${PLUGIN_SUFFIX}

SRCS = actions.cc \
       button.cc \
       dialogs-qt.cc \
       dock.cc \
       drag-handle.cc \
       eq-graph.cc \
       eq-slider.cc \
       equalizer.cc \
       hslider.cc \
       main.cc \
       menurow.cc \
       menu-ops.cc \
       menus.cc \
       monostereo.cc \
       number.cc \
       playlistwin.cc \
       playlist-slider.cc \
       playlist-widget.cc \
       playstatus.cc \
       plugin.cc \
       plugin-window.cc \
       skin.cc \
       skin-ini.cc \
       skins_cfg.cc \
       skins_util.cc \
       skinselector.cc \
       svis.cc \
       textbox.cc \
       view.cc \
       vis-callbacks.cc \
       vis.cc \
       widget.cc \
       window.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../.. ${GLIB_CFLAGS} ${QT_CFLAGS}
CFLAGS += ${PLUGIN_CFLAGS}
LIBS += -lm ${GLIB_LIBS} ${QT_LIBS} -laudqt

=== src/voice_removal/Makefile ===
PLUGIN = voice_removal${PLUGIN_SUFFIX}

SRCS = voice_removal.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${EFFECT_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../..

=== debian/changelog ===
audacious-plugins (4.1-3build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:42:12 +0000

audacious-plugins (4.1-3) unstable; urgency=medium

  * Add upstream patch for fix FTBFS with ffmpeg 5.0. (Closes: #1004788)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 25 Jun 2022 20:47:30 +0200

audacious-plugins (4.1-2) unstable; urgency=medium

  * Re-add erroneously removed bindnow setting.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 02 Jan 2022 14:17:15 +0100

audacious-plugins (4.1-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release (Closes: #973678).
  * Add new build dependency on libarchive-dev.
  * Bump versioned depencencies.
  * Relax the dependency on a-p-data.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which
      is now the default.
  * Fix cross builds.
  * Clean up debian/rules.

  [ Helmut Grohne ]
  * Do not hard code build architecture pkg-config (Closes: #901161).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 02 Jan 2022 13:46:08 +0100

audacious-plugins (4.0.5-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Sebastian Ramacher ]
  * Revert "Fix the dependency on a-p-data to unbreak binNMUs" (Closes:
    #996490)
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 14 Oct 2021 22:33:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: audacious-plugins
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
  Alf Gaida <agaida@siduction.org>,
  Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends:
- audacious-dev (>= 4.0.2~),
- debhelper-compat (= 12),
+ audacious-dev (>= 4.1~),
+ debhelper-compat (= 13),
+ libarchive-dev,
  libasound2-dev (>= 1.0) [linux-any],
  libavcodec-dev (>= 4:0.6.1),
  libavformat-dev (>= 4:0.6.1),
@@ -51,7 +53,7 @@
  oss4-dev [!linux-any],
  qtbase5-dev,
  qtmultimedia5-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://www.audacious-media-player.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious-plugins
 Vcs-Git: https://salsa.debian.org/multimedia-team/audacious-plugins.git
@@ -60,13 +62,13 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- audacious-plugins-data (= ${binary:Version}),
+ audacious-plugins-data (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- audacious (>= 3.10.1)
+ audacious (>= 4.1~)
 Breaks:
- audacious (<< 3.10.1)
+ audacious (<< 4.1~)
 Description: Base plugins for audacious
  Audacious is a fork of beep-media-player which supports winamp skins
  and many codecs.

## audacious-plugins 4.2

=== meson_options.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
        description: 'Whether GTK support is enabled')
 option('qt', type: 'boolean', value: true,
        description: 'Whether Qt support is enabled')
+option('qt6', type: 'boolean', value: false,
+       description: 'Whether Qt 6 support is enabled')
 
 
 # container plugins
@@ -28,8 +30,8 @@
        description: 'Whether CD audio support is enabled')
 option('console', type: 'boolean', value: true,
        description: 'Whether Game Music Emu support is enabled')
-option('ffaudio', type: 'combo', choices: ['ffmpeg', 'libav', 'disabled'],
-       description: 'Choose between ffmpeg, libav or disabled')
+option('ffaudio', type: 'boolean', value: true,
+       description: 'Whether FFmpeg support is enabled')
 option('flac', type: 'boolean', value: true,
        description: 'Whether FLAC support is enabled')
 option('modplug', type: 'boolean', value: true,

=== po/Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 #   have been introduced, and then continue with 'make update-po' or
 #   'make update-pot' respectively.
 #
-LOCALES = ar.po \
+LOCALES = af.po \
+	  ar.po \
 	  be.po \
 	  bg.po \
 	  ca.po \
@@ -21,6 +22,8 @@
 	  es_MX.po \
 	  es.po \
 	  et.po \
+	  eu.po \
+	  fa_IR.po \
 	  fi.po \
 	  fr.po \
 	  gl.po \
@@ -48,6 +51,7 @@
 	  ta.po \
 	  tr.po \
 	  uk.po \
+	  uz.po \
 	  zh_CN.po \
 	  zh_TW.po

=== src/alarm/Makefile ===
PLUGIN = alarm${PLUGIN_SUFFIX}

SRCS = alarm.cc		\
       interface.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} -I../..
LIBS += ${GTK_LIBS} -laudgui

=== src/albumart/Makefile ===
PLUGIN = albumart${PLUGIN_SUFFIX}

SRCS = albumart.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../.. ${GTK_CFLAGS}
LIBS += ${GTK_LIBS} -laudgui

=== src/moonstone/Makefile ===
PLUGIN = moonstone${PLUGIN_SUFFIX}

SRCS = moonstone.cc \
       main_window.cc \
       info_bar.cc \
       tool_bar.cc \
       time_slider.cc \
       playlist.cc \
       playlist_tabs.cc \
       playlist_header.cc \
       playlist_model.cc \
       playlist_selection.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../.. ${QT_CFLAGS}
LIBS += ${QT_LIBS} -laudqt

=== src/qthotkey/Makefile ===
PLUGIN = qthotkey${PLUGIN_SUFFIX}

SRCS = plugin.cc gui.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${QT_CFLAGS} ${QTX11EXTRAS_CFLAGS}  -I../.. -I..
LIBS += ${QT_LIBS} ${QTX11EXTRAS_LIBS} -lX11 -laudqt

=== debian/changelog ===
audacious-plugins (4.2-1) unstable; urgency=medium

  * New upstream release:
    + Drop patch for fix FTBFS with ffmpeg 5.0.
  * Bump Standards-Version to 4.6.1.
  * Bump versioned depencencies.
  * Update d/copyright.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 28 Oct 2022 18:38:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: audacious-plugins
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
  Alf Gaida <agaida@siduction.org>,
  Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends:
- audacious-dev (>= 4.1~),
+ audacious-dev (>= 4.2~),
  debhelper-compat (= 13),
  libarchive-dev,
  libasound2-dev (>= 1.0) [linux-any],
@@ -53,7 +52,7 @@
  oss4-dev [!linux-any],
  qtbase5-dev,
  qtmultimedia5-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.audacious-media-player.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious-plugins
 Vcs-Git: https://salsa.debian.org/multimedia-team/audacious-plugins.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH),i386)
additional_confflags := --disable-sse2
endif

ifeq ($(DEB_HOST_ARCH),armel)
additional_confflags := --disable-qtglspectrum
endif

ifeq ($(DEB_HOST_ARCH),armhf)
additional_confflags := --disable-qtglspectrum
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(additional_confflags) \
		--disable-rpath --enable-gtk

override_dh_auto_clean:
	-dh_auto_clean

## audacious-plugins 4.3.1

=== meson_options.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # GUI toolkits
 option('gtk', type: 'boolean', value: true,
        description: 'Whether GTK support is enabled')
+option('gtk3', type: 'boolean', value: false,
+       description: 'Whether GTK3 support is enabled')
 option('qt', type: 'boolean', value: true,
        description: 'Whether Qt support is enabled')
 option('qt6', type: 'boolean', value: false,
@@ -40,6 +42,8 @@
        description: 'Whether MPG123 support is enabled')
 option('openmpt', type: 'boolean', value: true,
        description: 'Whether OpenMPT support is enabled')
+option('opus', type: 'boolean', value: true,
+       description: 'Whether Opus support is enabled')
 option('sid', type: 'boolean', value: true,
        description: 'Whether SID emulation support is enabled')
 option('sndfile', type: 'boolean', value: true,
@@ -67,6 +71,8 @@
        description: 'Whether JACK support is enabled')
 option('oss', type: 'boolean', value: true,
        description: 'Whether OSS support is enabled')
+option('pipewire', type: 'boolean', value: true,
+       description: 'Whether PipeWire support is enabled')
 option('pulse', type: 'boolean', value: true,
        description: 'Whether PulseAudio support is enabled')
 option('qtaudio', type: 'boolean', value: true,

=== po/Makefile ===
--- 
+++ 
@@ -40,6 +40,7 @@
 	  pl.po \
 	  pt_BR.po \
 	  pt_PT.po \
+	  ro.po \
 	  ru.po \
 	  si.po \
 	  sk.po \

=== src/aosd/Makefile ===
PLUGIN = aosd${PLUGIN_SUFFIX}

SRCS = aosd.cc		\
       aosd_osd.cc	\
       aosd_style.cc	\
       aosd_trigger.cc	\
       aosd_ui.cc	\
       aosd_cfg.cc	\
       ghosd.c		\
       ghosd-main.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS}  ${GTK_CFLAGS} ${GLIB_CFLAGS} ${X11EXT_CFLAGS} -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${X11EXT_LIBS} -laudgui -lm

=== src/blur_scope-qt/Makefile ===
PLUGIN = blur_scope-qt${PLUGIN_SUFFIX}

SRCS = blur_scope.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${VISUALIZATION_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GLIB_CFLAGS} ${QT_CFLAGS} -I../..
LIBS += ${GLIB_LIBS} ${QT_LIBS} -lm -laudqt

=== src/hotkey/Makefile ===
PLUGIN = hotkey${PLUGIN_SUFFIX}

SRCS = plugin.cc gui.cc grab.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} -I../.. -I..
LIBS += ${GLIB_LIBS} ${GTK_LIBS} -lX11 -laudgui

=== src/lyricwiki-qt/Makefile ===
PLUGIN = lyricwiki-qt${PLUGIN_SUFFIX}

SRCS = lyricwiki.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${QT_CFLAGS} ${GLIB_CFLAGS} ${XML_CFLAGS} -I../..
LIBS += ${QT_LIBS} ${GLIB_LIBS}  ${XML_LIBS}

=== src/oss4/Makefile ===
PLUGIN = oss4${PLUGIN_SUFFIX}

SRCS = plugin.cc     \
       oss.cc        \
       utils.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${OSS_CFLAGS} -I../..

=== src/pulse/Makefile ===
PLUGIN = pulse_audio${PLUGIN_SUFFIX}

SRCS = pulse_audio.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../..
LIBS += -lpulse

=== debian/changelog ===
audacious-plugins (4.3.1-3build5) noble; urgency=medium

  * Rebuild against new libmpg123t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 08:23:45 +0200

audacious-plugins (4.3.1-3build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:26:57 +1100

audacious-plugins (4.3.1-3build3) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:41:40 +0000

audacious-plugins (4.3.1-3build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:02:29 +0000

audacious-plugins (4.3.1-3build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:50:56 +0000

audacious-plugins (4.3.1-3) unstable; urgency=medium

  * Team upload.
  * Move from liblircclient-dev to newer liblirc-dev (Closes: #1059973)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jan 2024 12:20:04 +0100

audacious-plugins (4.3.1-2) unstable; urgency=medium

  * Team upload.
  * Build against Qt6.

 -- Bastian Germann <bage@debian.org>  Wed, 01 Nov 2023 13:37:04 +0100

audacious-plugins (4.3.1-1) unstable; urgency=medium

  * Add libqt5x11extras5-dev to B-D. (Closes: #1010564)
  * Bump Standards-Version to 4.6.2.
  * Upload to unstable.
  * Drop depends on deprecated dbus-glib. (Closes: #955875)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 31 Jul 2023 22:45:18 +0200

audacious-plugins (4.3.1-1~exp1) experimental; urgency=medium

  * New upstream release
  * Bump versioned depencencies.
  * Use GTK3. (Closes: #967262)
  * Switch buildsystem to meson.
  * Add pipeline support.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 12 May 2023 22:05:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,58 +1,62 @@
 Source: audacious-plugins
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
  Alf Gaida <agaida@siduction.org>,
  Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends:
- audacious-dev (>= 4.2~),
+ audacious-dev (>= 4.3.1~),
+ meson,
  debhelper-compat (= 13),
  libarchive-dev,
- libasound2-dev (>= 1.0) [linux-any],
- libavcodec-dev (>= 4:0.6.1),
- libavformat-dev (>= 4:0.6.1),
- libavutil-dev (>= 4:0.6.1),
- libbinio-dev (>= 1.4),
+ libasound2-dev [linux-any],
+ libavcodec-dev,
+ libavformat-dev,
+ libavutil-dev,
+ libbinio-dev,
  libbs2b-dev,
- libcairo2-dev (>= 1.2.4),
- libcddb2-dev (>= 1.2.1),
- libcdio-cdda-dev (>= 0.70),
+ libcairo2-dev,
+ libcddb2-dev,
+ libcdio-cdda-dev,
  libcue-dev,
  libcurl4-gnutls-dev,
- libdbus-glib-1-dev,
  libfaad-dev,
- libflac-dev (>= 1.2.1),
- libfluidsynth-dev (>= 1.0.6) [linux-any],
- libgtk2.0-dev,
+ libflac-dev,
+ libfluidsynth-dev [linux-any],
+ libgtk-3-dev,
  libjack-dev,
- liblircclient-dev,
- libmms-dev (>= 0.3),
+ liblirc-dev,
+ libmms-dev,
  libmodplug-dev,
  libmp3lame-dev,
  libmpg123-dev,
- libneon27-gnutls-dev (>= 0.26),
+ libneon27-gnutls-dev,
  libnotify-dev,
- libogg-dev (>= 1.0),
- libopenmpt-dev (>= 0.2),
- libpulse-dev (>= 0.9) [linux-any],
- libqt5opengl5-dev,
- libsamplerate0-dev (>= 0.0.15),
+ libogg-dev,
+ libopenmpt-dev,
+ libopus-dev,
+ libopusfile-dev,
+ libpipewire-0.3-dev,
+ libpulse-dev [linux-any],
+ libsamplerate0-dev,
  libsdl2-dev,
  libsidplayfp-dev,
- libsndfile1-dev (>= 0.19),
+ libsndfile1-dev,
  libsndio-dev,
  libsoxr-dev,
- libtagc0-dev (>= 1.4),
- libvorbis-dev (>= 1.1),
- libwavpack-dev (>= 4.31),
+ libtagc0-dev,
+ libvorbis-dev,
+ libwavpack-dev,
  libxcomposite-dev,
  libxml2-dev,
  oss4-dev [!linux-any],
- qtbase5-dev,
- qtmultimedia5-dev,
-Standards-Version: 4.6.1
+ qt6-base-dev,
+ qt6-base-private-dev,
+ qt6-multimedia-dev,
+Standards-Version: 4.6.2
 Homepage: https://www.audacious-media-player.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious-plugins
 Vcs-Git: https://salsa.debian.org/multimedia-team/audacious-plugins.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH),armel)
additional_confflags := -Dgl-spectrum=false
endif

ifeq ($(DEB_HOST_ARCH),armhf)
additional_confflags := -Dgl-spectrum=false
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- $(additional_confflags) \
		-Dgtk3=true -Dqt6=true

override_dh_auto_clean:
	-dh_auto_clean

## audacious-plugins 4.4

=== meson_options.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # GUI toolkits
 option('gtk', type: 'boolean', value: true,
        description: 'Whether GTK support is enabled')
-option('gtk3', type: 'boolean', value: false,
-       description: 'Whether GTK3 support is enabled')
+option('gtk2', type: 'boolean', value: false,
+       description: 'Whether GTK 2 support is enabled')
 option('qt', type: 'boolean', value: true,
        description: 'Whether Qt support is enabled')
-option('qt6', type: 'boolean', value: false,
-       description: 'Whether Qt 6 support is enabled')
+option('qt5', type: 'boolean', value: false,
+       description: 'Whether Qt 5 support is enabled')
 
 
 # container plugins

=== debian/changelog ===
audacious-plugins (4.4-1) unstable; urgency=medium

  * New upstream release.
  * Add libjson-glib-dev to B-D.
  * Add Rules-Requires-Root.
  * Bump Standards-Version to 4.7.0
  * Clear no needed build flags.
  * Refresh d/copyright.
  * Add lintian-overrides for false positive tags.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 02 Sep 2024 21:16:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: audacious-plugins
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
  Alf Gaida <agaida@siduction.org>,
  Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends:
- audacious-dev (>= 4.3.1~),
+ audacious-dev (>= 4.4~),
  meson,
  debhelper-compat (= 13),
  libarchive-dev,
@@ -28,6 +27,7 @@
  libfluidsynth-dev [linux-any],
  libgtk-3-dev,
  libjack-dev,
+ libjson-glib-dev,
  liblirc-dev,
  libmms-dev,
  libmodplug-dev,
@@ -56,7 +56,8 @@
  qt6-base-dev,
  qt6-base-private-dev,
  qt6-multimedia-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: https://www.audacious-media-player.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious-plugins
 Vcs-Git: https://salsa.debian.org/multimedia-team/audacious-plugins.git

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,7 @@
 	dh $@ --buildsystem=meson
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(additional_confflags) \
-		-Dgtk3=true -Dqt6=true
+	dh_auto_configure -- $(additional_confflags)
 
 override_dh_auto_clean:
 	-dh_auto_clean
-

## audacious-plugins 4.4.1

=== debian/changelog ===
audacious-plugins (4.4.1-0.1~mx21+1) mx; urgency=medium

  * New upstream release

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 09 Oct 2024 13:07:22 -0700

audacious-plugins (4.4-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 24 Jun 2024 16:38:56 -0700

audacious-plugins (4.4-0build2~jammy) jammy; urgency=medium

  * New upstream release

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Fri, 05 Apr 2024 08:23:45 +0200

=== debian/control ===
Source: audacious-plugins
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Andrej Shadura <andrewsh@debian.org>,
           Alf Gaida <agaida@siduction.org>,
           Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends: audacious-dev (>= 4.4.1~),
               debhelper-compat (= 13),
               libarchive-dev,
               libasound2-dev [linux-any],
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libbinio-dev,
               libbs2b-dev,
               libcairo2-dev,
               libcddb2-dev,
               libcdio-cdda-dev,
               libcue-dev,
               libcurl4-gnutls-dev,
               libfaad-dev,
               libflac-dev,
               libfluidsynth-dev [linux-any],
               libgtk-3-dev,
               libjack-dev,
               libjson-glib-dev,
               liblirc-dev,
               libmms-dev,
               libmodplug-dev,
               libmp3lame-dev,
               libmpg123-dev,
               libneon27-gnutls-dev,
               libnotify-dev,
               libogg-dev,
               libopenmpt-dev,
               libopus-dev,
               libopusfile-dev,
               libpipewire-0.3-dev,
               libpulse-dev [linux-any],
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsamplerate0-dev,
               libsdl2-dev,
               libsidplayfp-dev,
               libsndfile1-dev,
               libsndio-dev,
               libsoxr-dev,
               libtagc0-dev,
               libvorbis-dev,
               libwavpack-dev,
               libxcomposite-dev,
               libxml2-dev,
               meson,
               oss4-dev [!linux-any],
               qtbase5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.2
Homepage: https://www.audacious-media-player.org/
Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious-plugins
Vcs-Git: https://salsa.debian.org/multimedia-team/audacious-plugins.git

Package: audacious-plugins
Architecture: any
Multi-Arch: same
Depends: audacious-plugins-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: audacious (>= 4.1~)
Breaks: audacious (<< 4.1~)
Description: Base plugins for audacious
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains the plugins for Audacious.
  * Audio CD reading
  * MPEG support (mp3)
  * Ogg Vorbis support
  * Windows Media support (WMA)
  * AAC support
  * FLAC support
  * ALAC support
  * WAVE support
  * ALSA output
  * OSS output
  * Disk writer output
  * And many more!

Package: audacious-plugins-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Data files for Audacious plugins
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 This package contains internationalized messages and skins for
 Audacious plugins.
